# Uses of Interface
org.eclipse.jface.preference.IPreferenceNode

Packages that use IPreferenceNode
Package
Description
org.eclipse.jface.preference
Provides a framework for preferences.
org.eclipse.ui.dialogs
Classes for standard dialogs, wizards, and preference pages in the Eclipse Platform User Interface.

## Uses of IPreferenceNode in org.eclipse.jface.preference

Classes in org.eclipse.jface.preference that implement IPreferenceNode
Modifier and Type
Class
Description
`class`
`PreferenceNode`
A concrete implementation of a node in a preference dialog tree.
Methods in org.eclipse.jface.preference that return IPreferenceNode
Modifier and Type
Method
Description
`IPreferenceNode`
PreferenceManager.`find(String path)`
Finds and returns the contribution node at the given path.
`protected IPreferenceNode`
PreferenceManager.`find(String path, IPreferenceNode top)`
Finds and returns the preference node directly below the top at the given path.
`protected IPreferenceNode`
PreferenceDialog.`findNodeMatching(String nodeId)`
Find the `IPreferenceNode` that has data the same id as the supplied value.
`IPreferenceNode`
IPreferenceNode.`findSubNode(String id)`
Returns the subnode of this contribution node with the given node id.
`IPreferenceNode`
PreferenceNode.`findSubNode(String id)`
`protected IPreferenceNode`
PreferenceManager.`getRoot()`
Returns the root node.
`final IPreferenceNode[]`
PreferenceManager.`getRootSubNodes()`
Returns the root level nodes of this preference manager.
`protected IPreferenceNode`
PreferenceDialog.`getSingleSelection(ISelection selection)`
`IPreferenceNode[]`
IPreferenceNode.`getSubNodes()`
Returns an iterator over the subnodes (immediate children) of this contribution node.
`IPreferenceNode[]`
PreferenceNode.`getSubNodes()`
`IPreferenceNode`
IPreferenceNode.`remove(String id)`
Removes the subnode of this preference node with the given node id.
`IPreferenceNode`
PreferenceManager.`remove(String path)`
Removes the preference node at the given path.
`IPreferenceNode`
PreferenceNode.`remove(String id)`
Methods in org.eclipse.jface.preference that return types with arguments of type IPreferenceNode
Modifier and Type
Method
Description
`List<IPreferenceNode>`
PreferenceManager.`getElements(int order)`
Returns all preference nodes managed by this manager.
Methods in org.eclipse.jface.preference with parameters of type IPreferenceNode
Modifier and Type
Method
Description
`void`
IPreferenceNode.`add(IPreferenceNode node)`
Adds the given preference node as a subnode of this preference node.
`void`
PreferenceNode.`add(IPreferenceNode node)`
`boolean`
PreferenceManager.`addTo(String path, IPreferenceNode node)`
Adds the given preference node as a subnode of the node at the given path.
`void`
PreferenceManager.`addToRoot(IPreferenceNode node)`
Adds the given preference node as a subnode of the root.
`protected void`
PreferenceManager.`buildSequence(IPreferenceNode node, List<IPreferenceNode> sequence, int order)`
Recursively enumerates all nodes at or below the given node and adds them to the given list in the given order.
`protected void`
PreferenceDialog.`createPage(IPreferenceNode node)`
Create the page for the node.
`protected IPreferenceNode`
PreferenceManager.`find(String path, IPreferenceNode top)`
Finds and returns the preference node directly below the top at the given path.
`protected IPreferencePage`
PreferenceDialog.`getPage(IPreferenceNode node)`
Get the page for the node.
`boolean`
IPreferenceNode.`remove(IPreferenceNode node)`
Removes the given preference node from the list of subnodes (immediate children) of this node.
`boolean`
PreferenceManager.`remove(IPreferenceNode node)`
Removes the given preference node if it is managed by this contribution manager.
`boolean`
PreferenceNode.`remove(IPreferenceNode node)`
`protected boolean`
PreferenceDialog.`showPage(IPreferenceNode node)`
Shows the preference page corresponding to the given preference node.
Method parameters in org.eclipse.jface.preference with type arguments of type IPreferenceNode
Modifier and Type
Method
Description
`protected void`
PreferenceManager.`buildSequence(IPreferenceNode node, List<IPreferenceNode> sequence, int order)`
Recursively enumerates all nodes at or below the given node and adds them to the given list in the given order.

## Uses of IPreferenceNode in org.eclipse.ui.dialogs

Methods in org.eclipse.ui.dialogs that return IPreferenceNode
Modifier and Type
Method
Description
`static IPreferenceNode[]`
PreferencesUtil.`propertiesContributorsFor(Object element)`
Return all of the properties page contributors for an element.